﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kühlschrank
{
    class Gerät
    {
        List<Artikel> inhalt = new List<Artikel>();

        public void LegHinein(Artikel artikel)
        {
            inhalt.Add(artikel);
        }

        public bool IstVoll()
        {
            return inhalt.Count >= 30;
        }

        // Wie viele Artikel sind abgelaufen?
        public int ZähleAbgelaufeneArtikel()
        {
            int abgelaufene = 0;
            for (int i = 0; i < inhalt.Count; i++)
            {
                if(inhalt[i].IstAbgelaufen())
                {
                    abgelaufene++;
                }
            }
            return abgelaufene;
        }

        public string GibInhaltAlsZeichenkette()
        {
            string r = "";
            for (int i = 0; i < inhalt.Count; i++)
            {
                r = r + inhalt[i].Bezeichnung + ", ";
            }
            return r;
        }
    }

    class Artikel
    {
        string bezeichnung; // "Salat"
        DateTime ablaufdatum; // "16.5.14"

        //Getter
        public DateTime HoleAblaufdatum()
        {
            return ablaufdatum;
        }

        //Property
        public DateTime Ablaufdatum
        {
            get { return ablaufdatum; }
        }

        public bool IstAbgelaufen()
        {
            return ablaufdatum < DateTime.Today;
        }

        //Konstruktor 1
        public Artikel(string bezeichnung, DateTime ablaufdatum)
        {
            this.bezeichnung = bezeichnung;
            this.ablaufdatum = ablaufdatum;
        }

        //Konstruktor 2
        public Artikel(string bezeichnung, int tage)
        {
            this.bezeichnung = bezeichnung;
            this.ablaufdatum = DateTime.Today + TimeSpan.FromDays(tage);
        }

        public string Bezeichnung
        {
            get { return bezeichnung; }
        }
    }
}
